homepage/urls.py
from django.urls import path
from . import views

app_name = 'homepage'

urlpatterns = [
    path('', views.index, name='index'),
    path('hobby/', views.hobby, name='hobby'),
    path('gallery/', views.gallery, name='gallery'),
    path('home-schedule/', views.homeschedule, name='homeschedule'),
    path('form/', views.form, name='form'),
    path('responseform/', views.responseform, name='responseform'),
    path('delete/P<int:delete_id>/',views.delete, name='delete'),
    
    # dilanjutkan ...
]

story4/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
    path('story6/',include('story6.urls'),name="story6"),
    path('story7/', include('story7.urls'),name="story7"),
    path('story8/', include('story8.urls'),name="story8"),
    path('story9/', include('story9.urls'),name="story9"),
]

story6/urls.py
from django.urls import path
from . import views

app_name = 'story6'

urlpatterns = [
    path('homekegiatan/',views.homekegiatan, name='homekegiatan'),
    path('addkegiatan/',views.addkegiatan,name = 'addkegiatan'),
    path('listkegiatan/',views.listkegiatan, name='listkegiatan'),
    path('register/<int:task_id>/', views.register, name='register'),
    path('delete/<int:delete_id>/', views.deleteUser, name='delete'),
    path('deleteActivity/<int:delete_id>/', views.deleteActivity, name='deleteActivity'),

]

story7/urls.py
from django.urls import path
from . import views

app_name = 'story7'

urlpatterns = [
   path('accordion/',views.accordion, name='accordion'),
   
]

story8/urls.py
from django.urls import path
from . import views
 
app_name = 'story8'
 
urlpatterns = [
    path('',views.searchbook, name='searchbook'),
    path('data/', views.fungsidata, name='fungsidata'),
]

story9/urls.py
from django.urls import path
from . import views


app_name = 'story9'

urlpatterns = [
    path('login/',views.logIn, name='login'),
    path('signup/', views.signUp, name='signup'),
    path('logout/', views.logOut, name='logout'),
   

]

homepage/models.py
from django.db import models

# Create your models here.
SEMESTER = [('Gasal','Gasal'),('Genap','Genap')]


class Schedule(models.Model):
    coursename = models.CharField(max_length = 100)
    lecturer = models.CharField(max_length = 100)
    credit = models.CharField(max_length = 100)
    description = models.CharField(max_length = 1000, null = True)
    semester = models.CharField(max_length = 1000, choices=SEMESTER, default = 'Choose..' )
    year = models.CharField(max_length = 100)
    room = models.CharField(max_length = 100)


    def __str__(self):
        return self.coursename

homepage/forms.py
from django import forms


SEMESTER = [('Gasal','Gasal'),('Genap','Genap')]

class ScheduleForm(forms.Form):
    coursename = forms.CharField(
        label = "Course Name", 
        widget = forms.TextInput(
            attrs={
            'placeholder' : 'Enter course name',
            'type' : 'text',
            'id' : 'coursename',
            'class':'form-control',
            'required': True,

            }
        )
    )

    lecturer = forms.CharField(
        label = "Lecturer Name", 
        widget=forms.TextInput(
            attrs={
            'placeholder' : 'Enter lecturer name',
            'type' : 'text',
            'id' : 'lecturer',
            'class': 'form-control',
            'required': True,
    }))

    credit = forms.CharField(
        label = "Credit (SKS)", 
        widget=forms.TextInput(
         attrs={
            'placeholder' : 'Enter number of credits',
            'type' : 'text',
            'id' : 'credit',
            'class': 'form-control',
            'required': True,
    }))

    description = forms.CharField(
        label = "Course description",
         widget=forms.TextInput(
            attrs={
        'class': 'form-control',
        'type' : 'text',
        'id' : 'description',
        'placeholder': 'Enter course description',
        'required': True,
    }))

    semester = forms.CharField(
        label = "Semester", 
        widget=forms.Select(choices=SEMESTER)
        
    
    )
    year = forms.CharField(
        label = "Year",
        widget=forms.TextInput(
            attrs={
        'class': 'form-control',
        'type' : 'text',
        'id' : 'year',
        'placeholder': 'ex: 2019/2020',
        'required': True,
    }))
    room = forms.CharField(
        label = "Classroom Number",
        widget=forms.TextInput(
            attrs={
        'class': 'form-control',
        'type' : 'text',
        'id' : 'room',
        'placeholder': 'Enter classroom number',
        'required': True,
    }))

homepage/views.py
from django.shortcuts import render ,redirect
from .models import Schedule
from . import forms
from .forms import ScheduleForm

# Create your views here.
def index(request):
    return render(request, 'index.html')

def hobby(request):
    return render(request, 'hobby.html')

def gallery(request):
    return render(request, 'gallery.html')

def homeschedule(request):
    return render(request, 'homeschedule.html')

def form(request):
    form_matkul = forms.ScheduleForm()
    if request.method == 'POST':
        form_matkul_input = forms.ScheduleForm(request.POST)
        if form_matkul_input.is_valid():
            data = form_matkul_input.cleaned_data
            matkul_input = Schedule()
            matkul_input.coursename = data['coursename']
            matkul_input.lecturer = data['lecturer']
            matkul_input.credit = data['credit']
            matkul_input.description = data['description']
            matkul_input.semester = data['semester']
            matkul_input.year = data['year']
            matkul_input.room = data['room']
            matkul_input.save()
            current_data = Schedule.objects.all()
            return redirect('homepage:homeschedule')  
        else:
            current_data = Schedule.objects.all()
            return render(request, 'form.html',{'form':form_matkul, 'status':'failed','data':current_data})
    else:
        current_data = Schedule.objects.all()
        return render(request, 'form.html',{'form':form_matkul,'data':current_data})

def responseform(request):
    data = Schedule.objects.all()
    return render(request,'responseform.html',{'responseform':data})

def delete(request, delete_id):
    try:
        jadwal_to_delete = Schedule.objects.get(pk = delete_id)
        jadwal_to_delete.delete()
        return redirect('homepage:responseform')
    except:
        return redirect('homepage:responseform')

homepage/templates/base.html
{% load static %}
<!DOCTYPE html>
<html>

<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>profile</title>
    <link rel="stylesheet" type="text/css" href="{% static 'index.css' %} " />
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
</head>

<style>
.dropdown-menu {
position: static;
    float: none;
    background: #C1AB88;
}
</style>

<body>
    <nav class="navbar navbar-expand-lg">
        <div class="container">
            <a class="logo" href="{% url 'homepage:index' %}">
                <img src="{% static 'img/logo1.png' %}" alt="" title="" />
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#expand">
                <span class="navbar-icon"><i class="fas fa-bars"></i></span>
            </button>
            <div class="collapse navbar-collapse" id="expand">

                <ul class="navbar-nav ml-auto">
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link dropdown-toggle list-menu" href="#" id="navbarDropdown" role="button"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Home
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Biodata">Biodata</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#About">AboutMe</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Roadmap">Education</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Experience">Experience</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Hobby">Hobby</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Hobby">Skill</a>
                            <a class="dropdown-item list-menu " href="{% url 'homepage:index' %}#Contact">Contact</a> 
                        </div>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link list-menu" href="{% url 'homepage:gallery' %}">Gallery</a>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                            <a class="nav-link list-menu" href="{% url 'homepage:homeschedule' %}">Schedule</a>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                            <a class="nav-link list-menu" href="{% url 'story6:homekegiatan' %}">Activity</a>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link list-menu" href="{% url 'story7:accordion' %}">Accordion</a>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link list-menu" href="{% url 'story8:searchbook' %}">searchbook</a>
                    </li>
                    <li class="nav-item dropdown ml-4 menu">
                        <a class="nav-link list-menu" href="{% url 'story9:login' %}">story9</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    {% block content %}

    {% endblock %}

    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
        integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>
    <script src="js/jquery.scroll.js"></script>
    <script>
        var $animation_elements = $('.animation-element');
        var $window = $(window);

        function check_if_in_view() {
            var window_height = $window.height();
            var window_top_position = $window.scrollTop();
            var window_bottom_position = (window_top_position + window_height);

            $.each($animation_elements, function () {
                var $element = $(this);
                var element_height = $element.outerHeight();
                var element_top_position = $element.offset().top;
                var element_bottom_position = (element_top_position + element_height);
                //check to see if this current container is within viewport
                if ((element_bottom_position >= window_top_position) &&
                    (element_top_position <= window_bottom_position)) {
                    $element.addClass('in-view');
                } else {
                    $element.removeClass('in-view');
                }
            });
        }

        $window.on('scroll resize', check_if_in_view);
        $window.trigger('scroll');
        var wind = $(window);
        // Navbar Scrolling background
        wind.on("scroll", function () {
            var bodyScroll = wind.scrollTop(),
                Navbar = $(".navbar");
            if (bodyScroll > 0) {
                Navbar.addClass("fixed");
            } else {
                Navbar.removeClass("fixed");
            }
        });
    </script>

</body>

</html>

homepage/templates/form.html
{% extends 'base.html' %}
<!DOCTYPE html>
{% load static %}
<html>

<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>gallery</title>
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" type="text/css" href="{% static 'index.css' % }" />
</head>

<body>

    {% block content %}
    
                    
    <section class=" form" id="form">
    <div class="container">
        <div class="card_form">
            <div class="card">
            <h1 class="card__title" font-style : Poppins> Add Schedule
            </h1>

        
            <div class="forms">
                <form action='' method="POST">
                    {% csrf_token %}
                    <div class="form-group">
                            {{form.coursename.label_tag}}
                            {{form.coursename}}        
                    </div>
                    <div class="form-group">
                            {{form.lecturer.label_tag}}
                            {{form.lecturer}}        
                    </div>
                    <div class="form-group">
                            {{form.credit.label_tag}}
                            {{form.credit}}   
                    </div>
                    <div class="form-group">
                            {{form.description.label_tag}}
                            {{form.description}}   
                    </div>
                    <div class="form-group">
                            {{form.semester.label_tag}}
                            {{form.semester}}
                    </div>
                    <div class="form-group">
                            {{form.year.label_tag}}
                            {{form.year}}
                    </div>
                    <div class="form-group">
                            {{form.room.label_tag}}
                            {{form.room}}
                    </div>


                    <button type="submit" class="btn btn-primary">Submit</button>
                </form>
            </div>
        </div>

        </div>
    </div>
    </section>

    {% endblock %}
    </body>

</html>

homepage/templates/homeschedule.html
{% extends 'base.html' %}
<!DOCTYPE html>
{% load static %}
<html>

<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>gallery</title>
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" type="text/css" href="{% static 'index.css' % }" />
</head>

<body>

    {% block content %}
    <section class="hello" id="hello">
            <div class="container">
                    <div class="card">
                            <div class="card__container">
                              <h1 class="card__title" font-style : Poppins> Schedule
                              </h1>
                              <p class="card__subtitle ">You can add a new schedule or see what you have so far!</p>
                              <a href="{% url 'homepage:form' %}" class="btn-one">add Schedule</a>
                              <a href="{% url 'homepage:responseform' %}" class="btn-one">see schedule</a>
                            </div>
                          </div>  
            </div>
        </section>
    {% endblock %}
</body>
</html>

homepage/templates/index.html
{% extends 'base.html' %}
<!DOCTYPE html>
{% load static %}
<html>

<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>profile</title>
    <link rel="stylesheet" type="text/css" href="{% static 'index.css' %} " />
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
</head>


<body>

    <!-- <section class="home" -->
    {% block content %}

    <section class="hello" id="hello">
        <div class="container">
            <h1 class="greetings">Hello!</h1>
            {% if user.is_authenticated %}
            <h1 data-animation="fadeInLeft" data-delay=".8s">{{ user.username }}!</h1>
            {% endif%}
        </div>
    </section>

    <section class="home" id="Biodata">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-7 d-none d-lg-block">
                    <div class="image">
                        <img src="/static/img/akubulat.png" class="img-fluid" alt="Responsive image">
                    </div>
                </div>
                <div class="col-12 col-md-5">
                    <div class="main-home">
                        <h1 class="title" data-aos="fade-down" data-aos-delay="200">BiodataKu</h1>
                        <p>
                            <table class="text">
                                <tr>
                                    <td><b>Nama</b></td>
                                    <td> : Maishaa Ameera Rifani</td>
                                </tr>
                                <tr>
                                    <td><b>Lahir</b></td>
                                    <td> : Jakarta, 21 Maret 2001</td>
                                </tr>
                                <tr>
                                    <td><b>NPM</b></td>
                                    <td> : 1906353561</td>
                                </tr>
                                <tr>
                                    <td><b>Jurusan</b></td>
                                    <td> : Sistem Informasi</td>
                                </tr>
                                <tr>
                                    <td><b>Angkatan</b></td>
                                    <td> : 2019</td>
                                </tr>
                                <tr>
                                    <td><b>Alamat</b></td>
                                    <td> : Pesona Khayangan Blok ET No.8</td>
                                </tr>
                            </table>
                        </p>
                    </div>
                </div>

            </div>
        </div>
    </section>

    <section class="about1" id="About">
        <div class="container">
            <center>
                <h4 class="section-text">
                    <span>About</span> me
                </h4>
            </center>

            <div class="desc-container">
                <div class="desc-item">
                    <p class="description">
                        "Saya adalah mahasiswa jurusan Sistem Informasi di Fakultas Ilmu Komputer, Universitas
                        Indonesia.
                        Saya bersemangat dan suka mempelajari hal - hal baru.
                    </p>
                </div>



            </div>
        </div>
    </section>

    <section class="about" id="Roadmap">
        <div class="container">
            <center>
                <h4 class="section-text">
                    Roadmap <span>Pendidikan</span></h4>
            </center>
            <link
                href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,300italic,400italic,600,600italic,700,700italic'
                rel='stylesheet' type='text/css'>

            <!-- The Timeline -->

            <ul class="timeline">

                <li>
                    <div class="direction-r">
                        <div class="flag-wrapper">
                            <span class="flag">Universitas Indonesia</span>
                        </div>
                        <div class="desc">2019 - sekarang</div>
                    </div>
                </li>

                <li>
                    <div class="direction-l">
                        <div class="flag-wrapper">
                            <span class="flag">SMAN 1 Depok</span>
                        </div>
                        <div class="desc">2016 - 2019.</div>
                    </div>
                </li>

                <li>
                    <div class="direction-r">
                        <div class="flag-wrapper">
                            <span class="flag">SMPIT Nurul Fikri</span>
                        </div>
                        <div class="desc">2013 - 2016</div>
                    </div>
                </li>

                <li>
                    <div class="direction-l">
                        <div class="flag-wrapper">
                            <span class="flag">SDI Al-Fauzien</span>
                        </div>
                        <div class="desc">2007 - 2013</div>
                    </div>
                </li>
            </ul>

        </div>
    </section>

    <section class="Experience" id="Experience">
        <div class="container">
            <center>
                <h4 class="section-text">
                    <span>Experience &</span> Volunteer
                </h4>
            </center>
            <div class="row">
                <div class="col-md-3">
                    <img class="img-fluid" src="/static/img/bemcntr.png" />
                    <div class="experience">
                        <b>
                            <p>BEM FASILKOM UI</p>
                        </b>
                        <p>Staff Departemen Seni Budaya (SenBud)</p>
                        <p style="color:#48964B;">2020 - 2021</p>
                    </div>
                </div>
                <div class="col-md-3">
                    <img class="img-fluid" src="/static/img/compfestcentr.png" />
                    <div class="experience">
                        <b>
                            <p>COMPFEST 12</p>
                        </b>
                        <p>Staff Divisi Decoration and Costume (DNCE)</p>
                        <p style="color:#48964B;">2020</p>
                    </div>
                </div>
                <div class="col-md-3">
                    <img class="img-fluid" src="/static/img/stradacntr.png" />
                    <div class="experience">
                        <b>
                            <p>STRADA</p>
                        </b>
                        <p>Ketua Ekstrakurikuler Satu Traditional Aceh Dance </p>
                        <p style="color:#48964B;">2017 - 2018</p>
                    </div>
                </div>
                <div class="col-md-3">
                    <img class="img-fluid" src="/static/img/aksicntr.png" />
                    <div class="experience">
                        <b>
                            <p>AKSI 41 : Krytanova</p>
                        </b>
                        <p>Staff Divisi Dana dan Sponsorship</p>
                        <p style="color:#48964B;">2018 - 2019</p>
                    </div>
                </div>


            </div>
        </div>
    </section>

    <section class="future" id="Hobby">
        <div class="container">
            <div class="row">
                <div class="col-md-5">
                    <h4 class="section-text"><span>Hobby</span></h4>
                    <div class="row">
                        <div class="col-sm-9">
                            <p class="description">saya suka mendengarkan musik dan menonton film, series, dan K-drama.
                            </p>
                            <a href="{% url 'homepage:hobby' %}" class="btn-one">Read More</a>
                        </div>
                    </div>
                </div>
                <div class="col-md-7">
                    <h4 class="section-text">Skills</h4>
                    <p>
                        <h5 class="text">Office</h5>
                    </p>
                    <div class="w3-light-grey w3-round-large">
                        <div class="w3-container w3-orange w3-round-large" style="width:90%">90%
                        </div>
                    </div>
                    <p>
                        <h5 class="text">Programming</h5>
                    </p>
                    <div class="w3-light-grey w3-round-large">
                        <div class="w3-container w3-orange w3-round-large" style="width:50%">50%
                        </div>
                    </div>
                    <p>
                        <h5 class="text">Teamwork</h5>
                    </p>
                    <div class="w3-light-grey w3-round-large">
                        <div class="w3-container w3-orange w3-round-large" style="width:90%">90%
                        </div>
                    </div>
                    <p>
                        <h5 class="text">Decision Making</h5>
                    </p>
                    <div class="w3-light-grey w3-round-large">
                        <div class="w3-container w3-orange w3-round-large " style="width:85%">85%
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="footer" id="Contact">
        <div class="container">
            <div>
                <div style="text-align: center;">Contact Me : </div>
                <div>
                    <div class="row" style="justify-content: center;">
                        <a href="mailto:maishaaameera@gmail.com"><img class="icon" alt="Instagram"
                                src="https://www.freepnglogos.com/uploads/email-logo-png-27.png"></a>

                        <a href="https://www.instagram.com/cacaamr/"><img class="icon" alt="Gmail"
                                src="https://www.freepnglogos.com/uploads/512x512-logo/512x512-transparent-instagram-logo-icon-5.png"></a>
                        <a href="https://line.me/ti/p/~cacaamr"><img class="icon" alt="Line"
                                src="https://www.freepnglogos.com/uploads/line-logo-png-6.png">

                        </a>

                        </a>

                    </div>
                </div>
            </div>
        </div>
    </section>


    {% endblock %}
</body>

</html>

homepage/templates/responseform.html
{% extends 'base.html' %}
<!DOCTYPE html>
{% load static %}
<html>

<head>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>gallery</title>
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" type="text/css" href="{% static 'index.css' % }" />
</head>

<body>

 
    {% block content%}
    <section class=" form" id="form">
            <div class="container response">
                <!-- <div class="card_form">
                    <div class="card"> -->
                    <h1 class="card__title" font-style : Poppins> Add Schedule
                    </h1>
                    <div class="table-responsive-lg">
                    <table class="table">
                            <thead class="thead-light">
                              <tr>
                                <th scope="col">Course Name</th>
                                <th scope="col">Lecturer</th>
                                <th scope="col">Credit (SKS)</th>
                                <th scope="col">Description</th>
                                <th scope="col">Semester</th>
                                <th scope="col">Year</th>
                                <th scope="col">Room Number</th>
                                <th scope="col">Delete</th>
                              </tr>
                            </thead>
                            <tbody>
                                {% for schedule in responseform %}
                                <tr>
                                <th scope="row">
                                    {{schedule.coursename}}
                                </th>
                                <td>{{schedule.lecturer}}</td>
                                <td>{{schedule.credit}}</td>
                                <td>{{schedule.description}}</td>
                                <td>{{schedule.semester}}</td>
                                <td>{{schedule.year}}</td>
                                <td>{{schedule.room}}</td>
                                <td><a href="{% url 'homepage:delete' delete_id=schedule.pk %}"><button class="btn btn-icon btn-danger"></button></a></td>
                                </tr>
                                {% endfor %}
                            </tbody>
                          </table>
                          <a href="{% url 'homepage:form' %}" class="btn-one">add Schedule</a>

                    <!-- </div>
                </div> -->
                </div>
        </div>
    </section>
    {% endblock %}
    </body>

</html>
    
    
    
         
             
           
        

    